{ callPackage, fetchFromGitLab, lib }:
let
  repo-data = lib.importJSON ./repo.json;

  repo = fetchFromGitLab (builtins.removeAttrs repo-data [ "branch" ]);
in
# We want to check the revision the service reports against the revsion
# that we install. The upsream derivation doesn't currently know its own
# version, but we do have it here. Thus, we add it as a meta attribute
# to the derviation provided from upstream.
lib.addMetaAttrs { inherit (repo-data) rev; }
  (callPackage repo {})
